/* Example program to show off some of the lowlevel capabilities of 
 * libadrift. You can use it to (de)obfuscate standard input and
 * send it to standard output. (don't use it for anything
 * important)
 *
 * This program is in the Public Domain (PD) 2004, Rik Snel
 */
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "../src/exception.h"
#include "../src/char_io.h"

int main(int argc, char **argv) {
	la_char_io_t cin;
	la_char_io_init(&cin, "standard input");

	try {
		la_exception_cleanup_adda(cin, la_char_io_free);
		la_char_filter_push(&cin, "fpin", stdin);
		la_char_filter_push(&cin, "crypt", NULL);
		
		while (1) putchar(la_char_io_getc_nowhine(&cin));
	}
	endtry;

	exit(0);
}
