/* cex.h - interface for calculating simple C expressions
 *
 * Copyright (C) 2004 Rik Snel <snel@phys.uu.nl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; only version 2 of the License, not
 * any other version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 * $Id: cex.h 366 2004-03-14 17:27:24Z rsnel $
 */
#ifndef INCLUDE_LIBADRIFT_CEX_H
#define INCLUDE_LIBADRIFT_CEX_H 1

typedef struct {
	int in;
	int out;
} la_cex_t;

int la_cex(const char*, int);

#endif /* INCLUDE_LIBADRIFT_CEX_H */
