/* output.h - interface for output functions
 *
 * Copyright (C) 2004 Rik Snel <snel@phys.uu.nl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; only version 2 of the License, not
 * any other version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 * $Id: game.h 454 2004-04-01 19:45:12Z rsnel $
 */
#ifndef INCLUDE_LIBADRIFT_OUTPUT_H
#define INCLUDE_LIBADRIFT_OUTPUT_H 1

#include "taf/generic.h"

void la_output_red_print(la_tas_t*, char*, ...);

void la_output_green_print(la_tas_t*, char*, ...);

void la_output_output(la_tas_t*, la_taf_output_t*);

void la_output_intro(la_tas_t*);

void la_output_object_ident(int);

void la_output_descriptions(la_tas_t*, la_taf_description_t*);

void la_output_inventory(la_tas_t*);

#endif /* INCLUDE_LIBADRIFT_OUTPUT_H */
