/* gtkutils.h - interface for making some widgets
 *
 * Copyright (C) 2004 Rik Snel <snel@phys.uu.nl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; only version 2 of the License, not
 * any other version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 * $Id: taf.h 462 2004-04-03 22:31:26Z rsnel $
 */
#ifndef INCLUDE_LIBADRIFT_TAF_GTKUTILS_H
#define INCLUDE_LIBADRIFT_TAF_GTKUTILS_H 1

#include <gtk/gtk.h>
#include "taf.h"

GtkWidget *la_taf_boolean_widget(int*, GtkBox*, char*);

GtkWidget *la_taf_string_widget(char**, GtkBox*, char*);

GtkWidget *la_taf_range_widget(int*, GtkBox*, int, char*);

GtkWidget *la_taf_comboboxonly_widget(int*, int, char**);

GtkWidget *la_taf_combobox_widget(int*, GtkBox*, int, char**);

GtkWidget *la_taf_textview_widget(la_taf_lines_t*, GtkBox*);

GtkBox *la_taf_leftwidget_widget(GtkWidget*, GtkBox*);

GtkBox *la_taf_leftlabel_widget(char*, GtkBox*);

GtkBox *la_taf_enframe_widget(char*, GtkBox*);

#endif /* INCLUDE_LIBADRIFT_TAF_GTKUTILS_H */
