/* action.h - interface for actions on the gamestate
 *
 * Copyright (C) 2004 Rik Snel <snel@phys.uu.nl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; only version 2 of the License, not
 * any other version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 * $Id: game.h 454 2004-04-01 19:45:12Z rsnel $
 */
#ifndef INCLUDE_LIBADRIFT_ACTION_H
#define INCLUDE_LIBADRIFT_ACTION_H 1

#include "taf/generic.h"

void la_action_player_room(la_tas_t*, la_taf_room_spec_t*);

void la_action_player_posture(la_tas_t*, la_taf_person_posture_t*);

void la_action_dynamic_object_location(la_tas_t*, int, la_taf_definite_dynamic_location_t*);

void la_action_object_openstate(la_tas_t*, int, la_taf_open_state_types_t);

void la_action_character_room(la_tas_t*, int, la_taf_room_spec_t*);

void la_action(la_tas_t*, la_taf_action_t*);

#endif /* INCLUDE_LIBADRIFT_ACTION_H */
